# $Revision: 1.9 $, $Date: 2002/06/18 11:53:38 $
Summary:	RDP client for accessing Windows NT Terminal Server
Summary(pl):	Klient RDP umoliwiajcy dostp do Terminal Serwera WinNT
Name:		rdesktop
Version:	1.1.0
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/rdesktop/%{name}-%{version}.tar.gz
Patch0:		http://bibl4.oru.se/projects/rdesktop/%{name}-unified-patch19-8-5.bz2
Patch1:		%{name}-opt+DESTDIR.patch
Patch2:		%{name}-srvr-fix.patch
URL:		http://www.rdesktop.org/
BuildRequires:	XFree86-devel
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
rdesktop is an open source client for Windows NT Terminal Server,
capable of natively speaking its Remote Desktop Protocol (RDP) in
order to present the user's NT desktop. Unlike Citrix ICA, no server
extensions are required. Support for Windows 2000 Terminal Services is
planned, although not implemented at this time.

%description -l pl
rdesktop jest klientem natywnie uywajcym protokou RDP (Remote
Desktop Protocol) umoliwiajcego dostp do Terminal Servera Windows
NT. W przeciwiestwie do rozwiza typu Citrix nie s wymagane adne
rozszerzenia po stronie serwera. Wsparcie dla Windows 2000 Terminal
Services jest planowane.

%package srvr
Summary:	RDP server (for testing purposes)
Summary(pl):	Serwer RDP (do testw)
Group:		X11/Applications/Networking

%description srvr
RDP server for rdesktop testing. It currently connects as viewer to
VNC server.

%description srvr -l pl
Serwer RDP do testowania rdesktop. Na razie uywa czy si jako klient
z serwerem VNC.

%prep
%setup -q
%patch0 -p2
%patch1 -p1
%patch2 -p1

%build
./configure \
	--prefix=%{_prefix} \
	--with-openssl \
	--with-ssl-includes=/usr/include/openssl \
	--with-ssl-libs=/usr/lib

%{__make} \
	CC="%{__cc}" \
	CFLAGSOPT="%{rpmcflags}" \
	LDFLAGSOPT="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES readme.txt
%attr(755,root,root) %{_bindir}/rdesktop
%{_mandir}/man?/*

%files srvr
%defattr(644,root,root,755)
%doc rdp-srvr-readme.txt
%attr(755,root,root) %{_bindir}/rdp-srvr

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rdesktop.spec,v $
Revision 1.9  2002/06/18 11:53:38  qboosh
- updated patch to 19-8-5
- added srvr subpackage for testing purposes
- opt+DESTDIR patch for optflags and DESTDIR support
- this version uses openssl instead of gmp
- new %%doc etc., release 1

Revision 1.8  2002/04/02 19:14:18  qwark
new version 1.1 review of patches
please test it specialy on arch<>x86

Revision 1.7  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:14:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2002/01/06 15:35:51  misiek
- use %%{__cc}

Revision 1.4  2001/08/11 18:25:53  kloczek
- release 1.pl19: rebuild against gmp 3.1.1.

Revision 1.3  2001/05/08 20:47:27  misiek
- use glibc endian detection to fix sparc compilation

Revision 1.2  2001/05/08 20:34:47  kloczek
- cosmetics (NOTE: it will be good prepare desktop file :).

Revision 1.1  2001/05/08 19:53:19  misiek
- RDP client for accessing Windows NT Terminal Server
- initial pld release
